<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Cash Print";
$file = "cash_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$name = $_POST["name"];

$namecond = "";
if (!empty($name)) {
    $namecond = " AND `name` = '$name' ";
}

$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='002' $namecond order by name ")or die(mysqli_error($conn));

if (isset($_POST["view"])) {


    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
    <?php include("includes/head_rep.php");
    ?>          
            <div class="row">
                <div class="col-lg-6">
                    <table class="table table-condensed  table-bordered">
                        <tr class="mySearchTr" >
                            <th>Sr</th>
                            <th>Name</th>                        
                            <th>Initial</th>                        
                            <th style='text-align:right'>Opening Balance</th>                        
                        </tr>
                        <?php
                        $ctr = 1;
                        $totbal = 0;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            $opbal = $pmain['openbal']; 
                            
                            Echo "<tr>";
                            Echo"<td>$ctr</td>";
                            Echo"<td>$pmain[name]</td>";
                            Echo"<td>$pmain[init]</td>";
                            Echo"<td style='text-align:right'>" . number_format($opbal,2) . "</td>";
                            Echo "</tr>";
                            $ctr++;
                            $totbal = $totbal + $opbal;

                        }
                        Echo "<tr>";
                        Echo"<td></td>";
                        Echo"<td></td>";
                        Echo"<td><b>Total</b></td>";
                        Echo"<td style='text-align:right'><b>" . number_format($totbal,2) . "</b></td>";
                        Echo "</tr>";
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='002' ")or die(mysqli_error($conn));

    $contents.="Sr.,Name,Initial,Opening Balance\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents.=$ctr . ",";
        $contents.=$pmain["name"] . ",";
        $contents.=$pmain["init"] . ",";
        $contents.=$pmain["openbal"] . "\n";

        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>